using System.ComponentModel.DataAnnotations;
using WebApp.Entities;

namespace WebApp.DTOs;

// Output values in JSON file
public record class EventSummaryDto(
    int EventId,
    [Required] string Organisation,
    [Required] int OrganisationId,
    [Required] [StringLength(50)] string Title,
    [StringLength(500)] string Description,
    [Required] [StringLength(100)] string Location,
    [Required] DateTime? EventDate,
    ICollection<EventSkill> EventSkills,
    ICollection<EventRegistration> EventRegistrations
    );
